<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('the_mounty_booking_get_css')) {
	add_filter('the_mounty_filter_get_css', 'the_mounty_booking_get_css', 10, 2);
	function the_mounty_booking_get_css($css, $args) {
		
		if (isset($css['fonts']) && isset($args['fonts'])) {
			$fonts = $args['fonts'];
			$css['fonts'] .= <<<CSS

.datepick-inline {
    {$fonts['p_font-family']}
}

body .resource_selection_div select, 
body .wpbc_container.wpbc_container_booking_form select, 
body .wpbc_container.wpbc_container_booking_form input[type="text"], 
body .wpbc_container.wpbc_container_booking_form textarea,
.booking_form input[type="text"],
.booking_form textarea {
    {$fonts['input_font-family']}
    {$fonts['input_font-size']}
    {$fonts['input_font-weight']}
    {$fonts['input_font-style']}
    {$fonts['input_line-height']}
    {$fonts['input_text-decoration']}
    {$fonts['input_text-transform']}
    {$fonts['input_letter-spacing']}
}

.wpbc_container button.wpbc_button_light, 
.wpbc_container.wpbc_container_booking_form button.wpbc_button_light,
.wpbc-payment-form .btn,
.wpbc-payment-form .button,
.booking_form_div .btn,
.booking_form_div .button,
.booking_form_div .submit,
.booking_form_div .button-secondary {
    {$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}


CSS;
		}

		if (isset($css['colors']) && isset($args['colors'])) {
			$colors = $args['colors'];
			$css['colors'] .= <<<CSS

body .resource_selection_div select, 
body .wpbc_container.wpbc_container_booking_form select, 
body .wpbc_container.wpbc_container_booking_form input[type="text"], 
body .wpbc_container.wpbc_container_booking_form textarea,
.booking_form input[type="text"],
.booking_form textarea {
	color: {$colors['input_text']};
	border-color: {$colors['input_bd_color']};
	background-color: {$colors['input_bg_color']};
}
body .resource_selection_div select:focus, 
body .wpbc_container.wpbc_container_booking_form select:focus, 
body .wpbc_container.wpbc_container_booking_form input[type="text"]:focus, 
body .wpbc_container.wpbc_container_booking_form textarea:focus,
body .resource_selection_div select.filled, 
body .wpbc_container.wpbc_container_booking_form select.filled, 
body .wpbc_container.wpbc_container_booking_form input[type="text"].filled, 
body .wpbc_container.wpbc_container_booking_form textarea.filled,
.booking_form input[type="text"].filled,
.booking_form input[type="text"]:focus,
.booking_form textarea.filled,
.booking_form textarea:focus {
	color: {$colors['input_dark']};
	border-color: {$colors['input_bd_hover']};
	background-color: {$colors['input_bg_hover']};
}

/* Booking Calendar */
.block_hints .date_approved.block_check_in_out, .block_hints .block_booked,
.datepick-inline .date_approved,
td.timespartly.check_in_time.check_out_time.check_in_time_date2approve.check_out_time_date_approved div.check-in-div,
td.timespartly.check_in_time.check_out_time.check_out_time_date2approve.check_in_time_date_approved div.check-out-div,
.flex_tl_table .flex_tl_table_row_bookings .flex_tl_collumn_2 .flex_tl_dates_bar .flex_tl_day_cell .in_cell_date_container_show_bookings .booking_id.approved_booking{
    color: {$colors['extra_dark']} !important;
    background-color: {$colors['text_link']} !important;
    border-color: {$colors['text_link']};
}

.block_hints .date2approve.block_check_in_out,
.block_hints .block_pending,
.datepick-inline .date2approve,
td.timespartly.check_in_time.check_out_time.check_in_time_date_approved.check_out_time_date2approve div.check-in-div,
td.timespartly.check_in_time.check_out_time.check_out_time_date_approved.check_in_time_date2approve div.check-out-div,
.flex_tl_table .flex_tl_table_row_bookings .flex_tl_collumn_2 .flex_tl_dates_bar .flex_tl_day_cell .in_cell_date_container_show_bookings .booking_id {
    color: {$colors['extra_dark']} !important;
    background-color: {$colors['text_link2']} !important;
    border-color: {$colors['text_link2']};
}

.flex_tl_table .flex_tl_table_header,
.flex_tl_table .flex_tl_table_titles,
.wpbc_only_calendar .datepick-header,
.booking_form .datepick-header {
    background-color: {$colors['text_dark']};
	border-color: {$colors['text_dark']};
	color: {$colors['extra_dark']};
}

table.datepick .datepick-title-row th {
    color: {$colors['extra_dark']};
    background-color: {$colors['text_dark']};
    border-color: {$colors['extra_dark']};
}

.flex_tl_table .flex_tl_table_header,
.flex_tl_table .flex_tl_table_header .flex_tl_prev a,
.flex_tl_table .flex_tl_table_header .flex_tl_title,
.flex_tl_table .flex_tl_table_header .flex_tl_next a,
.flex_tl_table .flex_tl_dates_bar .flex_tl_day_cell_header {
    color: {$colors['extra_dark']} !important;
    background-color: {$colors['extra_bg_color']} !important;
}
.flex_tl_table .flex_tl_table_titles .flex_tl_collumn_2 .flex_tl_dates_bar .flex_tl_day_cell {
    border-color: {$colors['extra_bg_color']} !important;
}
.datepick-inline .calendar-links .datepick-prev a,
.datepick-inline .calendar-links .datepick-next a,
.datepick-inline .calendar-links .datepick-prev a:hover,
.datepick-inline .calendar-links .datepick-next a:hover {
    color: {$colors['extra_dark']};
}


.block_hints .block_free, .block_hints .block_time,
.block_hints .block_check_in_out div.check-in-div,
.block_hints .block_check_in_out div.check-out-div,
.datepick-inline .date_available, .datepick-inline .timespartly.check_in_time div.check-in-div,
.datepick-inline .timespartly.check_out_time div.check-out-div,
table.datepick > tbody > tr:nth-child(1n) > td {
    background-color: {$colors['bg_color']};
    border-color: {$colors['bd_color']};
}

table.datepick > tbody > tr:nth-child(1n) > td.datepick-unselectable {
    color: {$colors['text_light']};
    background-color: {$colors['alter_bg_color']};
}

table.datepick,
table.datepick > tbody > tr:nth-child(1n) > td {
    border-color: {$colors['bd_color']} !important;
}

table.datepick > tbody > tr:nth-child(1n) > td:not(.datepick-unselectable):not(.datepick-current-day):hover {
    cursor: pointer;
    background: {$colors['alter_bg_color']} !important;
}
table.datepick > tbody > tr:nth-child(1n) > td:not(.datepick-unselectable):not(.datepick-current-day):hover a {
    color: {$colors['text_link']};
}
table.datepick > tbody > tr:nth-child(1n) > td.datepick-current-day {
    color: color: {$colors['extra_dark']};
    background-color: {$colors['text_link3']};
}

.wpbc_container button.wpbc_button_light, 
.wpbc_container.wpbc_container_booking_form button.wpbc_button_light,
.booking_form_div .btn
.wpbc-payment-form .btn,
.wpbc-payment-form .button,
.booking_form_div .btn,
.booking_form_div .button,
.booking_form_div .submit,
.booking_form_div .button-secondary {
    color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}

.wpbc_container button.wpbc_button_light:hover, 
.wpbc_container.wpbc_container_booking_form button.wpbc_button_light:hover,
.wpbc-payment-form .btn :hover,
.wpbc-payment-form .button :hover,
.booking_form_div .btn :hover,
.booking_form_div .button :hover,
.booking_form_div .submit :hover,
.booking_form_div .button-secondary :hover {
    color: {$colors['inverse_text']} !important;
	background-color: {$colors['text_hover']} !important;
}

/* Timeline */
.flex_tl_table .flex_tl_table_titles .flex_tl_collumn_2 .flex_tl_dates_bar .flex_tl_day_cell.new_month .in_cell_date_container,
.flex_tl_table .flex_tl_table_row_bookings .flex_tl_collumn_2 .flex_tl_dates_bar .flex_tl_day_cell.new_month .in_cell_time_hour:first-child .in_cell_date_container {
    border-color: {$colors['text_dark']};
}

.datepick .datepick-days-row .date_available a {
    color: {$colors['alter_text']};
}

.form-group .wpdev-help-message.alert.alert-warning,
.form-group .wpdev-help-message .alert.alert-warning {
    color: {$colors['text_hover']};
}

.submiting_content.wpdev-help-message.alert.alert-warning.alert-success {
    border-color: #46b450 !important;
}

CSS;
		}

		return $css;
	}
}
?>