<?php
/* booking Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('the_mounty_booking_theme_setup9')) {
	add_action( 'after_setup_theme', 'the_mounty_booking_theme_setup9', 9 );
	function the_mounty_booking_theme_setup9() {
		add_filter( 'the_mounty_filter_merge_styles', 						'the_mounty_booking_merge_styles' );
		if (is_admin()) {
			add_filter( 'the_mounty_filter_tgmpa_required_plugins',		'the_mounty_booking_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'the_mounty_booking_tgmpa_required_plugins' ) ) {
	
	function the_mounty_booking_tgmpa_required_plugins($list=array()) {
		if (the_mounty_storage_isset('required_plugins', 'booking')) {
            $list[] = array(
                'name' 		=> the_mounty_storage_get_array('required_plugins', 'booking'),
                'slug' 		=> 'booking',
                'required' 	=> false
            );
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'the_mounty_exists_booking' ) ) {
	function the_mounty_exists_booking() {
		return class_exists('Booking_Calendar');
	}
}
	
// Merge custom styles
if ( !function_exists( 'the_mounty_booking_merge_styles' ) ) {
	
	function the_mounty_booking_merge_styles($list) {
		if (the_mounty_exists_booking()) {
			$list[] = 'plugins/booking/_booking.scss';
		}
		return $list;
	}
}

// Add plugin-specific colors and fonts to the custom CSS
if (the_mounty_exists_booking()) { require_once THE_MOUNTY_THEME_DIR . 'plugins/booking/booking-styles.php'; }

?>