<?php
/* QuickCal Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('the_mounty_quickcal_theme_setup9')) {
	add_action( 'after_setup_theme', 'the_mounty_quickcal_theme_setup9', 9 );
	function the_mounty_quickcal_theme_setup9() {
		add_filter( 'the_mounty_filter_merge_styles', 						'the_mounty_quickcal_merge_styles' );
		if (is_admin()) {
			add_filter( 'the_mounty_filter_tgmpa_required_plugins',		'the_mounty_quickcal_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'the_mounty_quickcal_tgmpa_required_plugins' ) ) {
	
	function the_mounty_quickcal_tgmpa_required_plugins($list=array()) {
		if (the_mounty_storage_isset('required_plugins', 'quickcal')) {
			$path = the_mounty_get_file_dir('plugins/quickcal/quickcal.zip');
			if (!empty($path) || the_mounty_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> the_mounty_storage_get_array('required_plugins', 'quickcal'),
					'slug' 		=> 'quickcal',
					'version'	=> '1.0.12',
					'source' 	=> !empty($path) ? $path : 'upload://quickcal.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'the_mounty_exists_quickcal' ) ) {
	function the_mounty_exists_quickcal() {
		return class_exists('quickcal_plugin');
	}
}
	
// Merge custom styles
if ( !function_exists( 'the_mounty_quickcal_merge_styles' ) ) {
	
	function the_mounty_quickcal_merge_styles($list) {
		if (the_mounty_exists_quickcal()) {
			$list[] = 'plugins/quickcal/_quickcal.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (the_mounty_exists_quickcal()) { require_once THE_MOUNTY_THEME_DIR . 'plugins/quickcal/quickcal-styles.php'; }
?>